Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
tesseract::ParamsTrainingHypothesis Struct Reference

`#include <params_training_featdef.h>`

List of all members.

## Public Member Functions

| ParamsTrainingHypothesis ()

## Public Attributes

float | features [PTRAIN_NUM_RAW_FEATURE_TYPES]
STRING | str

## Detailed Description

Definition at line 83 of file params_training_featdef.h.

## Constructor & Destructor Documentation

tesseract::ParamsTrainingHypothesis::ParamsTrainingHypothesis | ( |  | ) |

inline

Definition at line 84 of file params_training_featdef.h.

{
for (int i = 0; i < PTRAIN_NUM_RAW_FEATURE_TYPES; ++i) features[i] = 0.0;
}

## Member Data Documentation

float tesseract::ParamsTrainingHypothesis::features[PTRAIN_NUM_RAW_FEATURE_TYPES]

Definition at line 87 of file params_training_featdef.h.

STRING tesseract::ParamsTrainingHypothesis::str

Definition at line 88 of file params_training_featdef.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccstruct/params_training_featdef.h